Bug 869573 - Don't advertise the alpha
Don't advertise the alpha
Status: CLOSED UPSTREAM
Product: Fedora Documentation
Classification: Fedora
Component: fedora-websites (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Websites Team
Karsten Wade
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 06:03 EDT by Allan Day
Modified: 2013-03-11 12:34 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-11 12:34:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Allan Day 2012-10-24 06:03:27 EDT
The current website encourages people to download and try the F18 alpha release. This is one of the most visible parts of the homepage: there is a big "Try Fedora 18 Alpha Now!" button and a "Can't stand the wait?" badge on the right hand side. Right now, the F18 alpha is more prominent than the download link for the current stable Fedora version.

The problem is that installer in the alpha doesn't work. I've had several failed installation attempts with it. I've spoken with other people who have had the same experience.

Encouraging people to try an installer that doesn't work is extremely damaging for the Fedora brand. It will also encourage people to try other distros, since they will think that Fedora is broken or that the quality is poor.
Comment 1 Christian Fredrik Kalager Schaller 2012-10-24 06:07:08 EDT
I concur on this one, it took me around 15 attempts to install the Alpha because if I choose to install the desktop the install just failed to set things up correctly, in the end I discovered that doing a plain X install 'worked', although I had to manually fix the booth in the GNOME shell after yum installing the GNOME packages.
Comment 2 Kevin Raymond 2012-10-24 08:24:04 EDT
Hi, I can certainly update this but we need to define which pre-release to highlight and for how long..

Who is going to tell us this, releng? QA?

I agree, we have move forward with the beta TC and should not promote the Alpha.
Comment 3 Allan Day 2012-10-24 10:21:46 EDT
(In reply to comment #2)
> Hi, I can certainly update this but we need to define which pre-release to
> highlight and for how long..
> 
> Who is going to tell us this, releng? QA?
> 
> I agree, we have move forward with the beta TC and should not promote the
> Alpha.

The adverts for the alpha could be damaging us, so removing them seems to be the top priority.

Defining a policy for which versions are promoted on the homepage seems like a separate issue. To give my view: the whole point of the release process is to get Fedora up to the point where it is ready for mass consumption, and we already have a process for deciding when a development version is ready. By definition, any pre-release version isn't ready to be advertised for general consumption.
Comment 4 Kevin Raymond 2012-10-24 10:37:15 EDT
> 
> The adverts for the alpha could be damaging us, so removing them seems to be
> the top priority.

The Fedora Project wants to grab more contributors, not only simple users.
During the Alpha install, we have a huge Warning box preventing that this image does not work and is for testing purpose only....
Comment 5 Christian Fredrik Kalager Schaller 2012-10-24 10:45:42 EDT
I been doing free software development for over 10 years now, I have never experienced that releasing very broken software brings in new contributors, rather the opposite. New contributors are instead enticed to join when you have something that mostly works, but could use some more polish or could use some more features.

I took me a full day to figure out how to get a working Fedora install on my laptop, which included a multitude of install options, several F17+preupgrade attempts and so on. If I wasn't working for Red Hat I would have given up after 30 minutes and decided that F18 should not be revisited for quite some time.
Comment 6 Kevin Raymond 2012-10-24 11:18:33 EDT
Please note that we still haven't decide anything for further releases.

I just pushed a fix (319f0c8) to replace the link on the home page by a countdown to the Beta release. "Fedora 18 Beta Comming in 13 days!"

No translations yet. 
It will come alive in about 1h from now.

Thanks for the report, and I hope we will define something clear for the next time. (I haven't started any discussion on that subject).
Comment 7 Robert Mayr 2012-10-24 11:23:42 EDT
Well, I agree with the fact that Fedora 18 ALPHA has very much bugs and some of them are really important. On the other side we need people who test the pre-release versions and linking the Alpha and Beta in the fedoraproject.org site is useful to find some new testers, IMHO.
Nevertheless I would agree with removing the Alpha version also for the future, but at that point we should define it with a clear policy. Linking pre-release versions starting from the BETA would also avoid installation nightmares as described above.
Comment 8 Adam Williamson 2012-10-24 11:50:54 EDT
Please do not _ever_ promote TC or RC builds on the main site. TCs and RCs are not public releases, they are candidate builds for validation testing. They should never be promoted or treated as public pre-releases.

As far as promoting the Alpha goes, I think it's okay to do but it certainly shouldn't be in such unambiguous terms as described here, for any release. An Alpha can eat babies and should be used only for testing purposes. I don't have any really concrete suggestions at this moment but from the description here, promotion of the Alpha should certainly be dialled down.
Comment 9 Allan Day 2012-10-24 12:40:20 EDT
(In reply to comment #7)
> Well, I agree with the fact that Fedora 18 ALPHA has very much bugs and some
> of them are really important. On the other side we need people who test the
> pre-release versions and linking the Alpha and Beta in the fedoraproject.org
> site is useful to find some new testers, IMHO.
> Nevertheless I would agree with removing the Alpha version also for the
> future, but at that point we should define it with a clear policy. Linking
> pre-release versions starting from the BETA would also avoid installation
> nightmares as described above.

Thanks for the fix, Robert. There's a misspelling. It reads: "Fedora 18 Beta Comming in 13 days!" (Coming only has one m.)
Comment 10 Allan Day 2012-10-24 12:42:47 EDT
The main download page also has an invitation to download the alpha, btw. There's a block at the top that reads "Did someone say... “Alpha”?" with a smiley face.
Comment 11 Kevin Raymond 2012-10-24 13:11:42 EDT
(In reply to comment #9)
> Thanks for the fix, Robert. There's a misspelling. It reads: "Fedora 18 Beta
> Comming in 13 days!" (Coming only has one m.)

Oops, you're right. I've just copied from an IRC conversation :)
That's also to prevent this that I had not updated the POT for translations. Pushing now.

No, the Did someone say... “Alpha”?" will stay. We still want to give people the way to test it.

@Adam Williamson  yes sure.
We could probably a smaller button for the alpha..
Comment 12 Mathieu Bridon 2012-10-24 22:41:33 EDT
(In reply to comment #11)
> No, the Did someone say... “Alpha”?" will stay. We still want to give people
> the way to test it.

There's really no point in people testing the alpha now.

Development has moved on. People testing the alpha will only find bugs that have already been fixed.
Comment 13 Jon Stanley 2012-10-24 22:57:25 EDT
(In reply to comment #12)
> Development has moved on. People testing the alpha will only find bugs that
> have already been fixed.

I think that's what's being said here extends beyond the current Alpha that exists and goes to F19 and future.

That being said, we *want* testers of the Alpha, with the understanding that it can and will eat cute puppies for breakfast, lunch, and dinner (and perhaps have a few snacks in between).  After all, with no testing, there's no opportunity to tell where things are broken and fix them - no one can expect the Fedora QA team to have all of the esoteric hardware that might be out there.

I also have to agree with Adam - do *not* advertise TC and RC composes, or even mention that they exist. From an infrastructure standpoint, we don't have the resources to support wide distribution of them - they aren't mirrored, torrented, or anything else to lessen the load of infra servers.
Comment 14 Adam Williamson 2012-10-24 23:07:23 EDT
Right, and in principle, until the Beta is released, the Alpha is the official way to install a Fedora 18 system for testing. Testing isn't just validation testing, it's wider than that. People using the Alpha aren't going to find any anaconda bugs we care about any more, probably, but that's still the Official Way to get an F18 system installed, which you can then update and participate in normal day-to-day testing.
Comment 15 Christian Fredrik Kalager Schaller 2012-10-25 04:05:12 EDT
I am personally not against advertising alphas, but it needs to be of a standard that actually allows a normal person to start testing. For me that means that an application etc. or feature might be broken, but not the install process itself. So if the desktop install is broken, as it was with this release, at least notify people that they can only do a console only server install for testing. If we don't do that we are just messing with people. Doing public alphas and betas should be about having the users help us find bugs we otherwise would have missed, if we need users to tell us that the installer isn't installing no matter what options you choose for the standard Fedora desktop install then we need to rethink the whole Fedora development process.
Comment 16 Jon Stanley 2012-10-25 09:58:27 EDT
Perhaps a constructive discussion of https://fedoraproject.org/wiki/Fedora_18_Alpha_Release_Criteria is in order here? What's missing from that that folks would like to see?
Comment 17 Christian Fredrik Kalager Schaller 2012-10-25 10:22:42 EDT
Well nothing is missing that I can see, it is just that the F18 alpha failed to comply with item 10 in the list.
Comment 18 Adam Williamson 2012-10-26 21:11:24 EDT
We appear to be getting off topic here, but I don't believe that's true. It sounds like you encountered a bug in an Alpha and are hijacking this report to talk about it. Could you please report it through a more appropriate forum? Thanks.
Comment 19 Kevin Raymond 2013-03-11 12:34:21 EDT
Closing this as we have an RFE on our websites there:
https://fedorahosted.org/fedora-websites/ticket/141

The idea is to drop the download Alpha after some point, that we should decide with the QA team probably.

Please move there for comments.

Note You need to log in before you can comment on or make changes to this bug.